<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="relatorioChequePorPeriodo" pageWidth="750" pageHeight="842" columnWidth="710" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="957b863a-9506-414b-90f5-a1506c96c708">
	<property name="ireport.zoom" value="1.5"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="tituloRelatorio" class="java.lang.String"/>
	<parameter name="dataInicial" class="java.lang.String"/>
	<parameter name="dataFinal" class="java.lang.String"/>
	<queryString>
		<![CDATA[select concat (cli.idCliente,' - ',cli.nome) as cliente, ch.numerocheque as cheque, ch.dataemissao as emissao, ch.emitente as emitente, ch.valor as valor, ch.datahorainclusao as inclusao, case ch.predatado when 0 then 'N' else 'S' end as pre, ch.bompara as bompara, stch.descricao as situacao, emp.idEmpresaFisica as idEmpresaFisica, concat ('F', emp.idEmpresaFisica, '-', emp.razaoSocial) as razaoSocial, concat (bc.codigo, '-', bc.descricao) as banco, ch.numeroConta as conta  from cliente cli  left outer join chequerecebido ch on ch.idcliente = cli.idcliente  inner join statuscheque stch on ch.idstatuscheque = stch.idstatuscheque  inner join empresafisica emp on ch.idempresafisica = emp.idempresafisica  inner join banco bc on ch.idbanco = bc.idbanco  where emp.idempresafisica in (1,2,3,4,5,7,8,9,13)  and ch.dataemissao >= '2014-10-01 00:00:00' and ch.dataemissao <= '2014-10-31 23:59:59'
 order by ch.emitente, ch.valor,ch.bomPara ]]>
	</queryString>
	<field name="cliente" class="java.lang.String">
		<fieldDescription><![CDATA[cliente:Cliente]]></fieldDescription>
	</field>
	<field name="cheque" class="java.lang.String"/>
	<field name="emissao" class="java.sql.Date"/>
	<field name="emitente" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="valor" class="java.lang.Double">
		<fieldDescription><![CDATA[valor:Valor]]></fieldDescription>
	</field>
	<field name="inclusao" class="java.sql.Timestamp"/>
	<field name="pre" class="java.lang.String"/>
	<field name="bompara" class="java.sql.Date">
		<fieldDescription><![CDATA[bomPara:Bom Para]]></fieldDescription>
	</field>
	<field name="situacao" class="java.lang.String"/>
	<field name="idEmpresaFisica" class="java.lang.Integer">
		<fieldDescription><![CDATA[codigo:Código]]></fieldDescription>
	</field>
	<field name="razaoSocial" class="java.lang.String">
		<fieldDescription><![CDATA[razao:Razao Social]]></fieldDescription>
	</field>
	<field name="banco" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="conta" class="java.lang.String"/>
	<variable name="totalValorEmpresa" class="java.lang.Double" resetType="Group" resetGroup="Empresa" calculation="Sum">
		<variableExpression><![CDATA[$F{valor}]]></variableExpression>
	</variable>
	<variable name="valorTotalGeral" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{valor}]]></variableExpression>
	</variable>
	<variable name="valorTotalVista" class="java.lang.Double" resetType="Group" resetGroup="Empresa" calculation="Sum">
		<variableExpression><![CDATA[$F{pre}.equals("S")?0.0:$F{valor}]]></variableExpression>
	</variable>
	<variable name="valorTotalPre" class="java.lang.Double" resetType="Group" resetGroup="Empresa" calculation="Sum">
		<variableExpression><![CDATA[$F{pre}.equals("N")?0.0:$F{valor}]]></variableExpression>
	</variable>
	<group name="Empresa">
		<groupExpression><![CDATA[$F{idEmpresaFisica}]]></groupExpression>
		<groupHeader>
			<band height="42">
				<rectangle>
					<reportElement uuid="907118f5-3991-44fc-827b-fb5f8c8c1c04" x="0" y="0" width="710" height="20" forecolor="#F0F0F0" backcolor="#CCCCCC"/>
				</rectangle>
				<staticText>
					<reportElement uuid="abfd551d-5e98-4120-ab70-a994f02532dd" x="254" y="23" width="54" height="15"/>
					<textElement verticalAlignment="Bottom">
						<font size="9" isBold="true"/>
					</textElement>
					<text><![CDATA[N. CHEQUE]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="5e5be7a5-c3e2-4bdc-8d11-dfbeac885f4a" x="595" y="22" width="50" height="15"/>
					<textElement textAlignment="Right" verticalAlignment="Bottom">
						<font size="9" isBold="true"/>
					</textElement>
					<text><![CDATA[VALOR]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="c0151433-9223-445d-9f1f-8b8b51cc4599" x="647" y="22" width="63" height="15"/>
					<textElement textAlignment="Right" verticalAlignment="Bottom">
						<font size="9" isBold="true"/>
					</textElement>
					<text><![CDATA[VENCIMENTO]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="92b29962-f5e7-42b8-8ccd-9a77d7e87f62" x="538" y="22" width="50" height="15"/>
					<textElement textAlignment="Center" verticalAlignment="Bottom">
						<font size="9" isBold="true"/>
					</textElement>
					<text><![CDATA[SITUACAO]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="81148671-1724-4b08-958a-581a3b75cbfa" x="66" y="22" width="77" height="15"/>
					<textElement verticalAlignment="Bottom">
						<font size="9" isBold="true"/>
					</textElement>
					<text><![CDATA[BANCO]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="385b3a1f-5628-4612-8da2-26797a6188a9" x="199" y="22" width="50" height="15"/>
					<textElement verticalAlignment="Bottom">
						<font size="9" isBold="true"/>
					</textElement>
					<text><![CDATA[N.CONTA]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="82f0c322-7494-4330-83e8-26ad26c52b42" x="0" y="22" width="63" height="15"/>
					<textElement verticalAlignment="Bottom">
						<font size="9" isBold="true"/>
					</textElement>
					<text><![CDATA[DT EMISSAO]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="802b696d-01ca-4311-80ab-8a4edd4dd6d5" x="313" y="22" width="103" height="15"/>
					<textElement verticalAlignment="Bottom">
						<font size="9" isBold="true"/>
					</textElement>
					<text><![CDATA[EMITENTE]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="184a866d-fb19-487c-b115-436abfea7d7b" x="512" y="22" width="23" height="15"/>
					<textElement verticalAlignment="Bottom">
						<font size="9" isBold="true"/>
					</textElement>
					<text><![CDATA[PRE]]></text>
				</staticText>
				<line>
					<reportElement uuid="14840881-053c-4407-8147-fcebdb7e9005" x="0" y="20" width="711" height="1"/>
				</line>
				<textField>
					<reportElement uuid="335a6649-b361-47d8-8281-0e08ba687fd3" x="1" y="0" width="710" height="20"/>
					<textElement verticalAlignment="Middle"/>
					<textFieldExpression><![CDATA[$F{razaoSocial}]]></textFieldExpression>
				</textField>
				<line>
					<reportElement uuid="6b8675a8-0f07-46db-94cc-91462e3c7896" x="1" y="39" width="709" height="1"/>
				</line>
				<line>
					<reportElement uuid="2498ed3a-2c63-461f-b1a5-2a7b51378a4d" x="0" y="0" width="711" height="1"/>
				</line>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="45">
				<staticText>
					<reportElement uuid="fff3dde0-b911-4100-8d03-960bdea7454a" x="490" y="30" width="105" height="15"/>
					<textElement textAlignment="Right">
						<font size="9" isBold="true"/>
					</textElement>
					<text><![CDATA[TOTAL EMPRESA: ]]></text>
				</staticText>
				<textField pattern="#,##0.00">
					<reportElement uuid="6affcfbb-6595-4c9f-a917-7a9a5911c774" x="595" y="30" width="50" height="15"/>
					<textElement textAlignment="Right">
						<font size="9" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{totalValorEmpresa}]]></textFieldExpression>
				</textField>
				<line>
					<reportElement uuid="a405b916-6d01-451b-8676-255f4fe6a132" x="0" y="0" width="709" height="1"/>
				</line>
				<staticText>
					<reportElement uuid="1420a741-f877-46ed-b970-7d5052fb3855" x="507" y="0" width="88" height="15"/>
					<textElement textAlignment="Right">
						<font size="9" isBold="true"/>
					</textElement>
					<text><![CDATA[TOTAL A VISTA: ]]></text>
				</staticText>
				<textField pattern="#,##0.00;-#,##0.00">
					<reportElement uuid="ae4142f4-93e1-42cc-b2fa-111234448fc3" x="595" y="0" width="50" height="15"/>
					<textElement textAlignment="Right">
						<font size="9" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{valorTotalVista}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement uuid="278a1844-1599-499b-a1c8-2debcbac17c9" x="490" y="15" width="105" height="15"/>
					<textElement textAlignment="Right">
						<font size="9" isBold="true"/>
					</textElement>
					<text><![CDATA[TOTAL PRE-DATADO: ]]></text>
				</staticText>
				<textField pattern="#,##0.00">
					<reportElement uuid="83b126f8-8ca1-4d59-a315-3946dab540bd" x="595" y="15" width="50" height="15"/>
					<textElement textAlignment="Right">
						<font size="9" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{valorTotalPre}]]></textFieldExpression>
				</textField>
			</band>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="45" splitType="Stretch">
			<textField>
				<reportElement uuid="18401131-be70-4635-9ae1-35556b4a2e47" x="169" y="10" width="300" height="13"/>
				<textElement textAlignment="Center">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{tituloRelatorio}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="4c981d62-eec6-4b36-a3c9-3447a4129b74" x="215" y="30" width="95" height="10"/>
				<textElement textAlignment="Right">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{dataInicial}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="ac0ffb70-19fb-44ce-8830-2fb80eaf5110" x="330" y="30" width="100" height="10"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{dataFinal}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="fa792d9e-3eb4-450f-81f9-337cbbb49a2d" x="315" y="30" width="10" height="10"/>
				<textElement textAlignment="Center">
					<font size="7"/>
				</textElement>
				<text><![CDATA[a]]></text>
			</staticText>
			<textField pattern="dd/MM/yyyy HH:mm:ss">
				<reportElement uuid="da1a0140-c8e2-439d-bb7f-d00c73e1845a" x="610" y="0" width="100" height="15"/>
				<textElement textAlignment="Right">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="12" splitType="Stretch">
			<textField>
				<reportElement uuid="20ddc567-e7e0-496c-be27-5470276f94c0" x="66" y="0" width="130" height="12"/>
				<textElement>
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{banco}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="eb38215a-be9b-4bfb-b4d8-377bc1b6c846" x="199" y="0" width="50" height="12"/>
				<textElement>
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{conta}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="39a5e9fd-b233-4333-96de-11693c8ea839" x="254" y="0" width="54" height="12"/>
				<textElement>
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{cheque}]]></textFieldExpression>
			</textField>
			<textField pattern="dd/MM/yyyy">
				<reportElement uuid="ae228a5b-8fe9-4272-8b93-29e3b7d69e94" x="0" y="0" width="63" height="12"/>
				<textElement>
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{emissao}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="cda3e21d-872b-43fb-a29d-00cb14649f55" x="313" y="0" width="195" height="12"/>
				<textElement>
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{emitente}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="856228df-519f-4d6f-8618-4a11186215bb" x="512" y="0" width="23" height="12"/>
				<textElement textAlignment="Center">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{pre}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00">
				<reportElement uuid="e9b74adf-ece3-48b2-beaf-c176786b75d5" x="595" y="0" width="50" height="12"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{valor}]]></textFieldExpression>
			</textField>
			<textField pattern="dd/MM/yyyy">
				<reportElement uuid="1431f3f8-268b-4685-b232-1d563cf56c21" x="647" y="0" width="64" height="12"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{bompara}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="57b05fe4-c035-44e7-8057-49641646e266" x="538" y="0" width="50" height="12"/>
				<textElement>
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{situacao}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band height="10" splitType="Stretch">
			<textField>
				<reportElement uuid="e4733098-ee80-4a43-9955-8dce7abb9a49" x="517" y="0" width="165" height="10"/>
				<textElement textAlignment="Right">
					<font size="6"/>
				</textElement>
				<textFieldExpression><![CDATA["Pagina "+$V{PAGE_NUMBER}+" de"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="4bb97f6d-5cf6-45ca-9b26-cc590f495f35" x="684" y="0" width="25" height="10"/>
				<textElement>
					<font size="6"/>
				</textElement>
				<textFieldExpression><![CDATA[" " + $V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
	<summary>
		<band height="15" splitType="Stretch">
			<rectangle>
				<reportElement uuid="32abca10-c6b1-48a5-b469-a91603e88133" mode="Opaque" x="0" y="1" width="709" height="13" forecolor="#F0F0F0" backcolor="#CCCCCC"/>
			</rectangle>
			<line>
				<reportElement uuid="0d70701e-e73a-4a18-a706-157de34c24f7" x="0" y="0" width="709" height="2"/>
			</line>
			<line>
				<reportElement uuid="2b36990e-726f-4131-b07f-bc496633af89" x="0" y="13" width="709" height="2"/>
			</line>
			<staticText>
				<reportElement uuid="3e8d62ab-758e-451f-a8dc-755af1547240" x="479" y="0" width="87" height="15"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[TOTAL GERAL: ]]></text>
			</staticText>
			<textField pattern="#,##0.00">
				<reportElement uuid="59939bc4-f7eb-4224-9995-2361ffe502d8" x="568" y="0" width="77" height="15"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="9" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{valorTotalGeral}]]></textFieldExpression>
			</textField>
		</band>
	</summary>
</jasperReport>
